> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/es/sdk/march-2026/d1-sdk-v4.3.0.md).

# D1 SDK v4.3.0

{% tabs %}
{% tab title="Android" %}

#### Plataformas y arquitecturas compatibles

* Android 8.1.0 o posterior
* Arquitecturas: `armeabi-v7a`, `arm64-v8a`, `x86`, `x86_64`

#### Click to Pay

**Nuevas funciones**

* Agregar nuevas API: `ClickToPayService.enrol`, `ClickToPayService.getProfiles`, `ClickToPayService.optOutCard`, `ClickToPayService.optOutConsumer`, `ClickToPayService.updateCard`, y `ClickToPayService.updateConsumer`.
* Obsoletizar `D1ClickToPay` en favor de `ClickToPayService`.

#### Visa CTF

**Nuevas funciones**

* Agregar nuevas API: `DigitalCardService.approveBinding`, `DigitalCardService.approveCardholderVerification`, y `DigitalCardService.unbindDevice`.

#### General

**Mejoras**

* Fortalecer la seguridad del SDK D1.
* Agregar `D1Task.getLogService` para reemplazar la obsoleta `D1Task.getSecureLog` API.
* Agregar `D1TaskdisableLogService` para reemplazar la obsoleta `D1Task.enableSecureLog` API.
  {% endtab %}

{% tab title="iOS" %}

#### Plataformas y arquitecturas compatibles

* iOS 16 o posterior
* Arquitecturas: `arm64`, `x86_64`

#### Click to Pay

**Nuevas funciones**

* Agregar nuevas API: `ClickToPayService.enrol`, `ClickToPayService.profiles`, `ClickToPayService.optOutCard`, `ClickToPayService.optOutConsumer`, `ClickToPayService.updateCard`, y `ClickToPayService.updateConsumer`.
* Obsoletizar `D1ClickToPay` en favor de `ClickToPayService`.

#### Visa CTF

**Nuevas funciones**

* Agregar nuevas API: `DigitalCardService.approveBinding`, `DigitalCardService.approveCardholderVerification`, y `DigitalCardService.unbindDevice`.

#### General

**Mejoras**

* Fortalecer la seguridad del SDK D1.
* Compatibilidad con la verificación de la firma de la aplicación.

**Correcciones de errores**

* Solucionar un problema en el que llamar a `D1DisplayTextField.insecureCopyToClipboard` hace que el texto desaparezca.
* Solucionar el problema de generación de rutas de archivo en WalletExtension cuando los títulos de producto contienen caracteres de barra diagonal

**Problemas conocidos**

* Cuando varias aplicaciones de iOS habilitan el uso compartido del llavero dentro del mismo grupo, solo una aplicación funciona correctamente. Las aplicaciones restantes pueden experimentar problemas al usar funciones 3DS o el Servicio de mensajería.
  {% endtab %}
  {% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/release-notes/es/sdk/march-2026/d1-sdk-v4.3.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
